=== debian/changelog ===
dpa-ext-gnomekeyring (5.0.11-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 21 Feb 2022 11:30:20 +0800

dpa-ext-gnomekeyring (1.0-1) unstable; urgency=medium

  * Initial release

 -- Deepin <packages@deepin.com>  Mon, 29 Jan 2018 16:37:58 +0800
