## dpa-ext-gnomekeyring 6.0.1

=== debian/changelog ===
dpa-ext-gnomekeyring (6.0.1) unstable; urgency=medium

  * fix: 'Empty keyring password' not showing
  * chore(CI): modify PKGBUILD to support OBS
  * chore(CI): add OBS workflows

 -- Deepin <quezhiyong@deepin.org>  Wed, 16 Aug 2023 14:35:39 +0800
