=== debian/control ===
Source: dpa-ext-gnomekeyring
Section: devel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 cmake,
 dde-polkit-agent-dev,
 debhelper-compat (= 11),
 libglib2.0-dev,
 libsecret-1-dev,
 qt5-qmake,
 qtbase5-dev,
 qttools5-dev,
Standards-Version: 4.1.3
Homepage: https://www.deepin.org

Package: dpa-ext-gnomekeyring
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: GNOME keyring extension for dde-polkit-agent.
 DDE Polkit Agent extension to automatically do some thing with GNOME keyring.
